Subject: bug#48708: closed (Re: [bug#48708] [PATCH 2/3]: gnu: Add cl-gamepad)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Jun 2021 12:35:02 +0000

Your bug report

#48708: [PATCH 0/3] Add Common Lisp game engine - trial

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48708: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48708
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#48708] [PATCH 2/3]: gnu: Add cl-gamepad
From: Guillaume Le Vaillant <[email-masked]>
To: Sharlatan Hellseher <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Jun 2021 12:33:57 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Sharlatan Hellseher <[email-masked]> skribis:

> Shinmera did not provide any useful information on this issue and
> pointed on the problem somewhere in the OS itself.
>
> I've played a little with asdf:load-system in REPL and I could load it
> and evaluate asdf:compile-system but when compile directly it exits
> with the same error

I changed your package definition to use a custom build phase using
'asdf:load-system' instead of the usual 'asdf:compile-system' as
a workaround. However I'm don't know why one works and the other
doesn't...

Patches pushed as d09184ce2eafd1c5f7d4d1962c44b0becfaede16 and
following.
Thanks.

Subject: [PATCH 0/3] Add Common Lisp game engine - trial
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Thu, 27 May 2021 21:24:08 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix team!

Here is a semi ready set of the last paches adding game engine written
in Common Lisp - Trial.

WIP for backends which require to pack QT bindings and cl-sdl2 which
is failing to build for me.

gnu: Add cl-trial

1 file changed, 69 insertions(+), 2 deletions(-)
gnu/packages/game-development.scm | 71 +++++++++++++++++++++++++++++++++++++--

gnu: Add cl-gamepad

1 file changed, 55 insertions(+)
gnu/packages/lisp-xyz.scm | 55 +++++++++++++++++++++++++++++++++++++++++++++++

gnu: Add cl-flow

1 file changed, 46 insertions(+)
gnu/packages/lisp-xyz.scm | 46 ++++++++++++++++++++++++++++++++++++++++++++++

--
… наш разум - превосходная объяснительная машина которая способна
найти смысл почти в чем угодно, истолковать любой феномен, но
совершенно не в состоянии принять мысль о непредсказуемости.